Skip to main content
POST

Authorizations

Authorization
string
header
required

Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.

Headers

Content-Type
string
default:application/json
required

Request body type

Body

application/json
limit
number
required

Maximum number of elements to return.

Maximum: 100 Minimum: 10

Required range: 10 <= x <= 100
page
number
required

You can retrieve a subset of records starting from the page value you have specified. You can add a limit, which will determine the number of records you can retrieve on a single page.

Starts From: 1

Required range: x >= 1

Filter senders by email or name. Partial match is supported.

Maximum string length: 255
sort_field
string

Sort sender data based on this field.

Available sort fields: sender_email, sender_name, created_date

sort_order
string

Sorting order for sort field.

Available sort orders: asc, ASC, desc, DESC

Response

OK

count
number

Total number of senders matching the search criteria

data
object[]